View Issue Details

IDProjectCategoryView StatusLast Update
0002250NoesisGUIC++ SDKpublic2022-03-01 19:07
Reporterext.mnawrot Assigned Tohcpizzi  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1 
Target Version3.1.3Fixed in Version3.1.3 
Summary0002250: Nintendo Switch: NoesisApp Window doesn't utilize available screen resolution
DescriptionNintendo Switch integrated screen has 720p however when docked and plugged to TV the output resolution is 1080p. Currently the NXDisplay and NVNRenderContext use hardcoded 720p which makes Noesis UI to appear blurry on TVs.

We bypassed this limitation by extending the original implementation of NXDisplay and NVNRenderContext with the following code:

nn::oe::Initialize();
nn::oe::GetDefaultDisplayResolution(&clientWidth, &clientHeight);
Steps To ReproduceUse SDev Cradle / dock and 1080p TV / Monitor
TagsNo tags attached.
PlatformSwitch

Relationships

related to 0002251 resolvedjsantos Xbox: NoesisApp Window doesn't utilize 4K resolution 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-01-26 17:39 ext.mnawrot New Issue
2022-01-26 17:48 sfernandez Assigned To => jsantos
2022-01-26 17:48 sfernandez Status new => assigned
2022-01-26 17:48 sfernandez Product Version => 3.1
2022-01-26 17:48 sfernandez Target Version => 3.1.3
2022-01-26 17:51 ext.mnawrot Description Updated
2022-01-26 17:51 ext.mnawrot Description Updated
2022-01-26 17:52 ext.mnawrot Description Updated
2022-01-28 17:21 ext.mnawrot Issue cloned: 0002251
2022-01-31 16:00 jsantos Relationship added related to 0002251
2022-02-14 17:14 jsantos Assigned To jsantos => hcpizzi
2022-03-01 19:07 hcpizzi Status assigned => resolved
2022-03-01 19:07 hcpizzi Resolution open => fixed
2022-03-01 19:07 hcpizzi Fixed in Version => 3.1.3